## NAME

v.extrude - Extrudes flat vector object to 3D with defined height

## KEYWORDS

vector

## SYNOPSIS

v.extrude
v.extrude help
v.extrude [-t] input=string output=string [zshift=float] [elevation=string] [height=float] [hcolumn=string] [type=string[,string,...]] [layer=integer] [--overwrite]

### Flags:

-t
  Trace elevation
--overwrite
  Force overwrite of output files

### Parameters:

input=string
  Name of input 2D vector map
output=string
  Name of resulting 3D vector map
zshift=float
  Shifting value for z coordinates
  Default: 0
elevation=string
  Elevation raster for height extraction
height=float
  Fixed height for 3D vector objects
hcolumn=string
  Column of attribute table with object heights
type=string[,string,...]
  Type
  Options: line,boundary,area
  Default: line,boundary,area
layer=integer
  Layer number
  Default: 1

## DESCRIPTION

v.extrude makes 3D blocks or just walls from 2D polygons or lines.

## EXAMPLES

### 3D houses with fixed height

    v.extrude input=houses output=houses3D height=5

### 3D houses with individual height

    v.extrude -t input=houses output=houses3D elevation=dem hcolumn=height

## AUTHOR

Jachym Cepicky, jachym.cepicky _at_ centrum _dot_ cz, http://les-ejk.cz
Department of Geoinformation Technologies, http://mapserver.mendelu.cz

Last changed: $Date: 2006/01/02 14:44:51 $

Main index - vector index - Full index